/*
--------------------------------------------
----- Ülesanne 1
--------------------------------------------
Lisa Bondidele taustavärv
Vihjed: body, background
*/

#b-1 {
    background: rgb(209, 212, 228);
}

/*
--------------------------------------------
----- Ülesanne 2
--------------------------------------------
Määra lehekülje fondiks Arial
Vihje: font-family
*/

body {
    font-family: Arial, Calibri;
}

/*
--------------------------------------------
----- Ülesanne 3
--------------------------------------------
Muuda kõik pildid ühekõrguseks.
Pane kolmandale pildile raam ümber, vaata, et see pilt
jääks sama kõrgeks, kui teised.
Vihjed: height, px, border, nth-child()
*/

img {
    height: 300px;
    width: 250px;
}

/* #img-dalton {
    border: 5px solid darkblue;
    height: calc(300px - 5px - 5px);
    width: 240px;
} */

#img-section :nth-child(3) {
    border: 5px solid darkblue;
    height: calc(300px - 5px - 5px);
    width: 240px;
}

/* body :nth-child(4) {
    background: red;
} */

/*
--------------------------------------------
----- Ülesanne 4
--------------------------------------------
Muuda Bondide piltide nurgad ümaraks
Vihje: border-radius
*/

img {
    border-radius: 5%;
}

/*
--------------------------------------------
----- Ülesanne 5
--------------------------------------------
Jooni h1 pealkirjad alla
Vihjed: text-decoration
*/

h1 {
    text-decoration: underline;
}

/*
--------------------------------------------
----- Ülesanne 6
--------------------------------------------
Muuda Roger Moore' tekstilõigud kaheveeruliseks
Vihjed: columns
*/

.two-cols {
    columns: 2;
}

/*
--------------------------------------------
----- Ülesanne 7
--------------------------------------------
Värvi lehekülje jalus (footer) mustaks ja tekst selle sees valgeks.
Aseta tekst nii vertikaalselt kui horisontaalselt jaluse keskele.
Määra jaluse kõrguseks 200 pikslit.
Vihjed: color, display: flex, text-align, align-items 
*/

footer {
    background: black;
    color: white;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/*
--------------------------------------------
----- Ülesanne 8
--------------------------------------------
Muuda viimase p-elemendi taustavärvi, muuda selle nurgad ümaraks ja
tekita lisaruum p-elemendi äärte ja teksti vahele.
Vihje: padding 
*/

#craig-section :nth-child(4) {
    background: lightcoral;
    border-radius: 5px;
    padding: 10px 5px 2px 15px;
}

/*
--------------------------------------------
----- Ülesanne 9
--------------------------------------------
Tee nii, et kui lehekülje laius brauseris on väiksem, kui 300px, siis
h2 elementide taustavärv on punakas.
Vihjed: media
*/

@media (max-width: 300px) {
    h2 {
        background: green;
    }
}

